com.informix.util

## Class IfxByteArrayOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - com.informix.util.IfxByteArrayOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class IfxByteArrayOutputStream
    extends java.io.ByteArrayOutputStream

### Field Summary

### Fields inherited from class java.io.ByteArrayOutputStream

`buf, count`

### Constructor Summary

Constructors
Constructor and Description
`IfxByteArrayOutputStream()`
`IfxByteArrayOutputStream(int size)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `adjustTotalDataSize()`
`byte[]` `getBuffer()`
`int` `getCount()`
`int` `getTotalDataSize()`
`void` `reset()`
`void` `setCount(int cnt)`
`byte[]` `toByteArray()`
`byte[]` `toByteArray(int begin, int length)`

### Methods inherited from class java.io.ByteArrayOutputStream

`close, size, toString, toString, toString, write, write, writeTo`

### Methods inherited from class java.io.OutputStream

`flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IfxByteArrayOutputStream

    public IfxByteArrayOutputStream()

#### IfxByteArrayOutputStream

    public IfxByteArrayOutputStream(int size)

### Method Detail

#### toByteArray

    public byte[] toByteArray()

Overrides:
  `toByteArray` in class `java.io.ByteArrayOutputStream`

#### toByteArray

    public byte[] toByteArray(int begin,
                              int length)

#### adjustTotalDataSize

    public void adjustTotalDataSize()

#### getTotalDataSize

    public int getTotalDataSize()

#### reset

    public void reset()

Overrides:
  `reset` in class `java.io.ByteArrayOutputStream`

#### getCount

    public int getCount()

#### setCount

    public void setCount(int cnt)

#### getBuffer

    public byte[] getBuffer()